Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class ElementDecl

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.ContainedEntry
              org.apache.axis.wsdl.symbolTable.ElementDecl

public class ElementDecl
extends ContainedEntry

Simple utility struct for holding element declarations.

This simply correlates a QName to a TypeEntry.

Author:
  Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@apache.org)

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.ContainedEntry
`type`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`ElementDecl(TypeEntry type, QName name)` Constructor ElementDecl

Method Summary
`boolean` | `getAnyElement()` Method getAnyElement
`java.lang.String` | `getDocumentation()` Method getDocumentation
`boolean` | `getMinOccursIs0()` Method getMinOccursIs0
`boolean` | `getNillable()` Method getNillable
`boolean` | `getOptional()` Method getOptional
`void` | `setAnyElement(boolean anyElement)` Method setAnyElement
`void` | `setDocumentation(java.lang.String documentation)` Method setDocumentation
`void` | `setMinOccursIs0(boolean minOccursIs0)` Method setMinOccursIs0
`void` | `setNillable(boolean nillable)` Method setNillable
`void` | `setOptional(boolean optional)` Method setOptional

Methods inherited from class org.apache.axis.wsdl.symbolTable.ContainedEntry
`getType, setType`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementDecl

    public ElementDecl(TypeEntry type,
                       QName name)

  Constructor ElementDecl

Parameters:
  `type` -
  `name` -

Method Detail

### getMinOccursIs0

    public boolean getMinOccursIs0()

  Method getMinOccursIs0

  Returns:

### setMinOccursIs0

    public void setMinOccursIs0(boolean minOccursIs0)

  Method setMinOccursIs0

  Parameters:
    `minOccursIs0` -

### setNillable

    public void setNillable(boolean nillable)

  Method setNillable

  Parameters:
    `nillable` -

### getNillable

    public boolean getNillable()

  Method getNillable

  Returns:

### setOptional

    public void setOptional(boolean optional)

  Method setOptional

  Parameters:
    `optional` -

### getOptional

    public boolean getOptional()

  Method getOptional

  Returns:

### getAnyElement

    public boolean getAnyElement()

  Method getAnyElement

  Returns:

### setAnyElement

    public void setAnyElement(boolean anyElement)

  Method setAnyElement

  Parameters:
    `anyElement` -

### getDocumentation

    public java.lang.String getDocumentation()

  Method getDocumentation

  Returns:
    string

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

  Method setDocumentation

  Parameters:
    `documentation` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.